/**
 * 国家地区组件
 */
import React from 'react';
import { Select } from 'antd';
import { countryList } from '../../../enums/country_data';
var Option = Select.Option;

// 封装组件
var CountrySelect = /*#__PURE__*/React.forwardRef(function (props, ref) {
  var handleChange = function handleChange(value) {
    var onChange = props.onChange;
    onChange(value);
  };
  var value = props.value,
    disabled = props.disabled;
  return /*#__PURE__*/React.createElement(Select, {
    onChange: handleChange,
    defaultValue: value,
    disabled: disabled,
    ref: ref
  }, /*#__PURE__*/React.createElement(Option, {
    value: ""
  }, "\u8BF7\u9009\u62E9\u56FD\u5BB6/\u5730\u533A"), countryList.map(function (item) {
    return /*#__PURE__*/React.createElement(Option, {
      value: item.regionId,
      key: item.regionId
    }, item.regionName);
  }));
});
export default CountrySelect;