"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _typeof = require("@babel/runtime/helpers/typeof");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));
var _react = _interopRequireWildcard(require("react"));
var _reactImages = _interopRequireWildcard(require("react-images"));
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function _getRequireWildcardCache(nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
var ImgPreview = function ImgPreview(props) {
  var _props$images = props.images,
    images = _props$images === void 0 ? [] : _props$images,
    open = props.open,
    onClose = props.onClose;
  var _useState = (0, _react.useState)(open),
    _useState2 = (0, _slicedToArray2.default)(_useState, 2),
    modalIsOpen = _useState2[0],
    setModalIsOpen = _useState2[1];
  (0, _react.useEffect)(function () {
    setModalIsOpen(open);
  }, [images, open]);
  var toggleModal = function toggleModal() {
    setModalIsOpen(!modalIsOpen);
    if (typeof onClose === 'function') {
      onClose();
    }
  };
  var styleInit = {
    header: function header() {
      return {
        // 头部样式
        position: 'absolute',
        top: 10,
        right: 10,
        zIndex: 9999
      };
    },
    view: function view() {
      return {
        textAlign: 'center',
        maxHeight: '95vh',
        maxWidth: '95vw'
      };
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactImages.ModalGateway, null, modalIsOpen ? /*#__PURE__*/_react.default.createElement(_reactImages.Modal, {
    onClose: toggleModal
  }, /*#__PURE__*/_react.default.createElement(_reactImages.default, {
    views: images,
    styles: styleInit
  })) : null);
};
var _default = ImgPreview;
exports.default = _default;